Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

C#
Visual Basic
Visual C++
Include Protected Members
Include Inherited Members

Berkeley DB .NET API Documentation
CompactConfig Members
CompactConfig Class Constructors Methods Fields Properties See Also Send Feedback

The CompactConfig type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| CompactConfig | Create a new CompactConfig object

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the type of the current instance. (Inherited from Object.)
| ToString | Returns a string that represents the current object. (Inherited from Object.)

# Fields

| Name | Description
--- | --- | ---
| returnEnd | Return the database key marking the end of the compaction operation in a Btree or Recno database. This is generally the first key of the page where the operation stopped.
| start | If non-null, the starting point for compaction. For a Btree or Recno database compaction will start at the smallest key greater than or equal to the starting point. For a Hash database the compaction will start in the bucket specified by the integer stored in the starting point. If null, compaction will start at the beginning of the database.
| stop | If non-null, the stopping point for compaction. For a Btree or Recno database compaction will stop at the page with the smallest key greater than the stopping point. For a Hash database compaction will stop in the bucked specified by the integer stored in the stopping point. If null, compaction will stop at the end of the database.
| TruncatePages | If true, return pages to the filesystem when possible. If false, pages emptied as a result of compaction will be placed on the free list for re-use, but never returned to the filesystem.

# Properties

| Name | Description
--- | --- | ---
| FillPercentage | If non-zero, this provides the goal for filling pages, specified as a percentage between 1 and 100. Any page not at or above this percentage full will be considered for compaction. The default behavior is to consider every page for compaction, regardless of its page fill percentage.
| Pages | If non-zero, compaction will complete after the specified number of pages have been freed.
| Timeout | If non-zero, and no Transaction is specified, this parameter identifies the lock timeout used for implicit transactions, in microseconds.

# See Also

CompactConfig Class
BerkeleyDB Namespace